# Role: sudo

## Description

Installs and configures sudo.

https://www.sudo.ws/

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.sudo
  vars:
    ...
```

### Vars

`sudo_configs`:

List of sudo configs to install.

List items contain fields:

- 'name'
- 'config'

`sudo_config_dir`:

Directory to install the configuration files to.

`sudo_add_includedir_to_config`:

Switch for whether to add the includedir to /etc/sudoers or not.

`sudo_includedir_directive`:

Directive for the includedir in sudoers config.
